# Payment Runs

Use payment runs to collect payments using electronic payment methods, for example, credit cards and ACH.
For more information about payment runs, see Payment Runs.

 - [GET /v1/payment-runs](https://developer.zuora.com/v1-api-reference/api/payment-runs/get_paymentruns.md): Retrieves the information about all payment runs. You can define filterable fields to restrict the data returned in the response. ### Filtering You can use query parameters to restrict the data return
 - [POST /v1/payment-runs](https://developer.zuora.com/v1-api-reference/api/payment-runs/post_paymentrun.md): Creates a payment run. You can create a payment run to be executed immediately after it is created, or a scheduled payment run to be executed in future. To filter the payments to be collected for a pa
 - [DELETE /v1/payment-runs/{paymentRunKey}](https://developer.zuora.com/v1-api-reference/api/payment-runs/delete_paymentrun.md): Deletes a payment run. Only payment runs with the Canceled or Error status can be deleted.
 - [GET /v1/payment-runs/{paymentRunKey}](https://developer.zuora.com/v1-api-reference/api/payment-runs/get_paymentrun.md): Retrives the information about a specific payment run.
 - [PUT /v1/payment-runs/{paymentRunKey}](https://developer.zuora.com/v1-api-reference/api/payment-runs/put_paymentrun.md): Updates the information about an unexecuted payment run. Only pending payment runs can be updated. If none of the **accountId**, **batch**, **billCycleDay**, **currency**, **paymentGatewayId**, and **
 - [GET /v1/payment-runs/{paymentRunKey}/data](https://developer.zuora.com/v1-api-reference/api/payment-runs/get_paymentrundata.md): Retrieves payment run data and the processing result with details, if the `data` field was specified in the Create payment run operation.
 - [GET /v1/payment-runs/{paymentRunKey}/summary](https://developer.zuora.com/v1-api-reference/api/payment-runs/get_paymentrunsummary.md): Retrives the summary of a payment run.
